mxCellCodec (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.io
Class mxCellCodec

    java.lang.Object
      com.mxgraph.io.mxObjectCodec
          com.mxgraph.io.mxCellCodec

    public class mxCellCodec

extends mxObjectCodec

Codec for mxCells. This class is created and registered dynamically at load time and used implicitely via mxCodec and the mxCodecRegistry.

Field Summary

Fields inherited from class com.mxgraph.io.mxObjectCodec
`accessors, exclude, fields, idrefs, mapping, reverse, template`

Constructor Summary
`mxCellCodec()` Constructs a new cell codec.
`mxCellCodec(Object template)` Constructs a new cell codec for the given template.
`mxCellCodec(Object template, String[] exclude, String[] idrefs, Map<String,String> mapping)` Constructs a new cell codec for the given arguments.

Method Summary
`Node` | `afterEncode(mxCodec enc, Object obj, Node node)` Encodes an mxCell and wraps the XML up inside the XML of the user object (inversion).
`Node` | `beforeDecode(mxCodec dec, Node node, Object obj)` Decodes an mxCell and uses the enclosing XML node as the user object for the cell (inversion).
`boolean` | `isExcluded(Object obj, String attr, Object value, boolean write)` Excludes user objects that are XML nodes.

Methods inherited from class com.mxgraph.io.mxObjectCodec
`addObjectValue, afterDecode, beforeEncode, cloneTemplate, convertValueFromXml, convertValueToXml, decode, decode, decodeAttribute, decodeAttributes, decodeChild, decodeChildren, decodeNode, encode, encodeElements, encodeFields, encodeObject, encodeValue, getAccessor, getAttributeName, getField, getFieldName, getFieldTemplate, getFieldValue, getFieldValueWithAccessor, getMethod, getName, getTemplate, isPrimitiveValue, isReference, processInclude, setFieldValue, setFieldValueWithAccessor, writeAttribute, writeComplexAttribute, writePrimitiveAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxCellCodec

    public mxCellCodec()

  Constructs a new cell codec.

### mxCellCodec

    public mxCellCodec(Object template)

  Constructs a new cell codec for the given template.

### mxCellCodec

    public mxCellCodec(Object template,
                       String[] exclude,
                       String[] idrefs,
                       Map<String,String> mapping)

  Constructs a new cell codec for the given arguments.

Method Detail

### isExcluded

    public boolean isExcluded(Object obj,
                              String attr,
                              Object value,
                              boolean write)

  Excludes user objects that are XML nodes.

  Overrides:
    `isExcluded` in class `mxObjectCodec`
  Parameters:
    `obj` - Object instance that contains the field.
    `attr` - Fieldname of the field.
    `value` - Value of the field.
    `write` - Boolean indicating if the field is being encoded or decoded. write is true if the field is being encoded, else it is being decoded.
  Returns:
    Returns true if the given attribute should be ignored.

### afterEncode

    public Node afterEncode(mxCodec enc,
                            Object obj,
                            Node node)

  Encodes an mxCell and wraps the XML up inside the XML of the user object (inversion).

  Overrides:
    `afterEncode` in class `mxObjectCodec`
  Parameters:
    `enc` - Codec that controls the encoding process.
    `obj` - Object to be encoded.
    `node` - XML node that represents the default encoding.
  Returns:
    Returns the resulting node of the encoding.

### beforeDecode

    public Node beforeDecode(mxCodec dec,
                             Node node,
                             Object obj)

  Decodes an mxCell and uses the enclosing XML node as the user object for the cell (inversion).

  Overrides:
    `beforeDecode` in class `mxObjectCodec`
  Parameters:
    `dec` - Codec that controls the decoding process.
    `node` - XML node to be decoded.
    `obj` - Object to encode the node into.
  Returns:
    Returns the node used for the default decoding.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.